Show / Hide Table of Contents

# Class PartyList

##### Inheritance

System.Object
PartyList

##### Implements

System.Collections.Generic.IReadOnlyCollection<PartyMember>
System.Collections.Generic.IEnumerable<PartyMember>
System.Collections.ICollection
System.Collections.IEnumerable
System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState

###### Assembly: Dalamud.dll

##### Syntax

    public class PartyList : IReadOnlyCollection<PartyMember>, IEnumerable<PartyMember>, ICollection, IEnumerable, IDisposable

### Constructors

| Improve this Doc View Source

#### PartyList(Dalamud, ClientStateAddressResolver)

##### Declaration

    public PartyList(Dalamud dalamud, ClientStateAddressResolver addressResolver)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud | dalamud |
Dalamud.Game.ClientState.ClientStateAddressResolver | addressResolver |

### Properties

| Improve this Doc View Source

#### Count

##### Declaration

    public int Count { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IsSynchronized

##### Declaration

    public bool IsSynchronized { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Item[Int32]

##### Declaration

    public PartyMember this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Property Value

Type | Description
--- | ---
PartyMember |

| Improve this Doc View Source

#### Length

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SyncRoot

##### Declaration

    public object SyncRoot { get; }

##### Property Value

Type | Description
--- | ---
System.Object |

### Methods

| Improve this Doc View Source

#### CopyTo(Array, Int32)

##### Declaration

    public void CopyTo(Array array, int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Array | array |
System.Int32 | index |

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

| Improve this Doc View Source

#### GetEnumerator()

##### Declaration

    public IEnumerator<PartyMember> GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerator<PartyMember> |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IReadOnlyCollection<PartyMember>.Count

##### Declaration

    int IReadOnlyCollection<PartyMember>.Count { get; }

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IEnumerable.GetEnumerator()

##### Declaration

    IEnumerator IEnumerable.GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.IEnumerator |

### Implements

System.Collections.Generic.IReadOnlyCollection<T>
System.Collections.Generic.IEnumerable<T>
System.Collections.ICollection
System.Collections.IEnumerable
System.IDisposable